<div *transloco="let t" class="container">
  <main>
    <div class="flex-container">
      <div class="image-text-container flex-list-minor">
        <img alt="" class="image" src="{{ imageUrl }}" />
        <div class="text-container">
          <h1 class="header">{{ title }}</h1>
          <ion-text class="content">{{ content }}</ion-text>
          <ion-text *ngIf="moreContent" class="more-content">{{
            moreContent
          }}</ion-text>
        </div>
      </div>
      <div *ngIf="buttons?.length" class="button-container">
        <ng-container *ngFor="let button of buttons; let i = index">
          <lib-custom-selectable-icon-text-button
            (selectedChange)="selectButton(i)"
            [applySelectionStyle]="
              button.shouldApplySelectionStyle
                ? button.shouldApplySelectionStyle
                : false
            "
            [icon]="button.icon"
            [id]="button.id ?? ''"
            [selected]="button.selected"
            [text]="t(button.text)"
          ></lib-custom-selectable-icon-text-button>
          <div *ngIf="buttons.length === 2 && i === 0" class="divider"></div>
        </ng-container>
      </div>
    </div>
  </main>
</div>
